Index: hector_geotiff/CMakeLists.txt
===================================================================
--- hector_geotiff.orig/CMakeLists.txt
+++ hector_geotiff/CMakeLists.txt
@@ -9,7 +9,7 @@ find_package(catkin REQUIRED COMPONENTS
 ## System dependencies are found with CMake's conventions
 # find_package(Boost REQUIRED COMPONENTS system)
 
-find_package(Qt4 4.6 COMPONENTS QtCore QtGui REQUIRED)
+find_package(Qt5 5.7 COMPONENTS Core Gui Widgets REQUIRED)
 
 # Find Eigen3 (from http://wiki.ros.org/jade/Migration)
 find_package(Eigen3)
@@ -24,8 +24,7 @@ else()
   set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
 endif()
 
-include(${QT_USE_FILE})
-
+add_compile_options(-fPIC)
 
 ## Uncomment this if the package has a setup.py. This macro ensures
 ## modules and global scripts declared therein get installed
@@ -82,10 +81,14 @@ include_directories(include include/hect
 include_directories(
   ${catkin_INCLUDE_DIRS}
   ${EIGEN3_INCLUDE_DIRS}
+  ${Qt5Core_INCLUDE_DIRS}
+  ${Qt5Widgets_INCLUDE_DIRS}
+  ${Qt5Gui_INCLUDE_DIRS}
 )
 
 add_library(geotiff_writer src/geotiff_writer/geotiff_writer.cpp)
-target_link_libraries(geotiff_writer ${catkin_LIBRARIES} ${QT_LIBRARIES})
+target_link_libraries(geotiff_writer ${catkin_LIBRARIES} ${Qt5Core_LIBRARIES}
+	${Qt5Widgets_LIBRARIES} ${Qt5Gui_LIBRARIES})
 add_dependencies(geotiff_writer ${catkin_EXPORTED_TARGETS})
 
 add_executable(geotiff_saver src/geotiff_saver.cpp)
Index: hector_geotiff/include/hector_geotiff/geotiff_writer.h
===================================================================
--- hector_geotiff.orig/include/hector_geotiff/geotiff_writer.h
+++ hector_geotiff/include/hector_geotiff/geotiff_writer.h
@@ -37,7 +37,7 @@
 #include <nav_msgs/MapMetaData.h>
 
 #include <QtGui/QImage>
-#include <QtGui/QApplication>
+#include <QtWidgets/QApplication>
 #include <QtGui/QFont>
 #include <QtGui/QPen>
 
Index: hector_geotiff/src/geotiff_node.cpp
===================================================================
--- hector_geotiff.orig/src/geotiff_node.cpp
+++ hector_geotiff/src/geotiff_node.cpp
@@ -40,7 +40,7 @@
 
 #include <Eigen/Geometry>
 
-#include <QtGui/QApplication>
+#include <QtWidgets/QApplication>
 
 #include <hector_map_tools/HectorMapTools.h>
 
Index: hector_geotiff/src/geotiff_saver.cpp
===================================================================
--- hector_geotiff.orig/src/geotiff_saver.cpp
+++ hector_geotiff/src/geotiff_saver.cpp
@@ -34,7 +34,7 @@
 
 #include <Eigen/Geometry>
 
-#include <QtGui/QApplication>
+#include <QtWidgets/QApplication>
 
 #include <hector_map_tools/HectorMapTools.h>
 
Index: hector_geotiff/src/geotiff_writer/geotiff_writer.cpp
===================================================================
--- hector_geotiff.orig/src/geotiff_writer/geotiff_writer.cpp
+++ hector_geotiff/src/geotiff_writer/geotiff_writer.cpp
@@ -31,7 +31,7 @@
 
 #include <QtGui/QPainter>
 #include <QtGui/QImageWriter>
-#include <QtGui/QApplication>
+#include <QtWidgets/QApplication>
 #include <QtCore/QFile>
 //#include <QtCore/QDateTime>
 #include <QtCore/QTime>
